Subject: Re: bug#78582: 30.1; which-key-mode overwrites custom key bindings

From: Rick <[email-masked]>
Date: Mon, 26 May 2025 12:23:42 -0500

I used App Center on this Ubuntu machine to find and install Emacs via Snap.

The Snap description includes this:

This snap is built via the build.snapcraft.io service from the 
snapcraft.yaml definition at https://github.com/alexmurray/emacs-snap to 
ensure source and build transparency.

They make no mention of anything custom on their site.
Since neither you nor several people on StackExchange can recreate the 
problem, I will report the issue to the build maintainer on GitHub.

On 5/26/25 11:21, Eli Zaretskii wrote:
>> Date: Mon, 26 May 2025 10:36:52 -0500
>> Cc: [email-masked]
>> From: Rick <[email-masked]>
>>
>> I confirmed your suggested steps DO produce the problem.
>>
>> Specifically:  From a terminal enter:  emacs -Q
>>
>> In the *scratch* buffer that presents paste
>>
>> (global-set-key [f3] 'nonincremental-repeat-search-forward)
>> (custom-set-variables '(which-key-mode t))
>>
>> C-x C-e the lines in presented order.
>> C-h k f3 quickly and see nonincremental-repeat-search-forward
>> C-h and wait for the menu before typing k f3
>> kmacro-start-macro-or-insert-counter is now in the *Help* buffer.
> Thanks.  This doesn't reproduce the problem on my system.
>
> So now I suspect that your Emacs has some local changes that are not
> in upstream.  Is that possible?  Your build details:
>
>    In GNU Emacs 30.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
>     cairo version 1.18.0) of 2025-05-11 built on lcy02-amd64-059
>    Repository revision: 9328fd1ab06a1a1f85077fd1caadf9128c90f6c1
>    Repository branch: master
>    System Description: Ubuntu 24.04.2 LTS
>
> are strange: on the one hand this says version 30.1, but OTOH the
> branch is 'master' (which is not the branch from which Emacs 30.1 was
> delivered), and the commit SHA is not a commit our Git repository
> knows about.  What repository did you use to build, and could it be
> that it has some local changes?